Package org.mariadb.jdbc.plugin.authentication.addon

## Class SendGssApiAuthPacket

- java.lang.Object
- - org.mariadb.jdbc.plugin.authentication.addon.SendGssApiAuthPacket

All Implemented Interfaces:
  `AuthenticationPlugin`

    public class SendGssApiAuthPacket
    extends Object
    implements AuthenticationPlugin

GSSAPI plugin

### Constructor Summary

Constructors
`SendGssApiAuthPacket()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initialize​(String authenticationData, byte[] seed, Configuration conf)` Initialization.
`org.mariadb.jdbc.client.ReadableByteBuf` `process​(Writer out, Reader in, org.mariadb.jdbc.client.Context context)` Process gssapi plugin authentication.
`String` `type()` Authentication plugin type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.plugin.AuthenticationPlugin

`hash, isMitMProof, requireSsl`

### Constructor Detail

#### SendGssApiAuthPacket

    public SendGssApiAuthPacket()

### Method Detail

#### type

    public String type()

Description copied from interface: `AuthenticationPlugin`
Authentication plugin type.

Specified by:
  `type` in interface `AuthenticationPlugin`
Returns:
  authentication plugin type. ex: mysql_native_password

#### initialize

    public void initialize​(String authenticationData,
                           byte[] seed,
                           Configuration conf)

Initialization.

Specified by:
  `initialize` in interface `AuthenticationPlugin`
Parameters:
  `authenticationData` - authentication data (password/token)
  `seed` - server provided seed
  `conf` - Connection string options

#### process

    public org.mariadb.jdbc.client.ReadableByteBuf process​(Writer out,
                                                           Reader in,
                                                           org.mariadb.jdbc.client.Context context)
                                                    throws IOException,
                                                           SQLException

Process gssapi plugin authentication. see https://mariadb.com/kb/en/library/authentication-plugin-gssapi/

Specified by:
  `process` in interface `AuthenticationPlugin`
Parameters:
  `out` - out stream
  `in` - in stream
  `context` - context
Returns:
  response packet
Throws:
  `IOException` - if socket error
  `SQLException` - if plugin exception